import o from "./index-toInteger.js";
import i from "./index-toDate.js";
import m from "./index-requiredArgs.js";
function s(e, t) {
  m(2, arguments);
  var r = i(e), a = o(t);
  return isNaN(r.getTime()) ? /* @__PURE__ */ new Date(NaN) : (r.setFullYear(a), r);
}
export {
  s as default
};
